d("tabSectionView",['ccrz', 'util'], function(CCRZ, UTIL) {
    // Create Custom Contact Us View
    CCRZ.views.tabSectionView = CCRZ.CloudCrazeView.extend({
        templatePhone : CCRZ.util.template(CCRZ.uiProperties.tabSectionView.phone.tmpl),
        templateDesktop : CCRZ.util.template(CCRZ.uiProperties.tabSectionView.desktop.tmpl),
        viewName : "tabSectionView",
        initialize: function(pageSection, modelData) {
        this.model = pageSection;
        var subSections = this.model.attributes.subSections;
        this.displayTabs = [];
        if (subSections) {
            for (var i=0; i<subSections.length; i++) {
                if (subSections[i].sectionName == 'Content') {
                    var filter = (subSections[i].sectionFilter) ? subSections[i].sectionFilter : subSections[i].sectionOther;
                    this.displayTabs.push(subSections[i]);
                }
            }
        }
        },
        render : function() {
        var v = this;
        if (this.displayTabs.length > 0) {
        if (CCRZ.display.isPhone()) {
        v.setElement($(CCRZ.uiProperties.tabSectionView.phone.selector));
        v.$el.html(v.templatePhone(this.displayTabs));
        }
        else {
        v.setElement($(CCRZ.uiProperties.tabSectionView.desktop.selector));
        v.$el.html(v.templateDesktop(this.displayTabs));
        }
        }
        CCRZ.pubSub.trigger("view:"+this.viewName+":refresh", this);
        }
    });

    return CCRZ.views.tabSectionView;
});